Uploaded image for project: 'Documentation'
  1. Documentation
  2. DOCUMENT-893

Ubuntu 18.04 needs universe repo to install Java dependencies

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Normal
    • Resolution: Done
    • Component/s: None
    • Labels:
      None
    • Template:
    • Acceptance Criteria:
      Hide

      Server, DB, and if necessary PE docs all note that the universe repository must be enabled prior to installing Puppet Platform or PE on Ubuntu 18.04.

      Show
      Server, DB, and if necessary PE docs all note that the universe repository must be enabled prior to installing Puppet Platform or PE on Ubuntu 18.04.
    • QA Risk Assessment:
      Needs Assessment

      Description

      When installing the latest Puppet Platform 5.5.x products that require Java (Puppet Server, PuppetDB) on Ubuntu 18.04, the required openjdk-8-jre-headless package are not present in Ubuntu's default repositories if the universe repository isn't enabled during OS install.

      This does not raise issues in tests because our testing images are deployed with universe enabled. However, this can block installation on some default Ubuntu installations (see SERVER-2266).

      Note in these products' documentation that the universe repository is required for installation on Ubuntu 18.04.

      If necessary, also note the openjdk-8-jre-headless dependency in PE 2018.1.3 and that the universe repository is required to install it. It is currently unclear whether this is necessary, since PE should ship with its own vendored Java, but our docs suggest a current dependency.

      This does not affect prior versions of Ubuntu, Puppet, or PE.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              melissa.amos Melissa Amos
              Reporter:
              garrett.guillotte Garrett Guillotte
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:

                  Zendesk Support